
Redmine - Defect #20811

long <pre> lines are missing from PDF export of wiki pages

2015-09-22 18:41 - Simon Deziel

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: PDF export Estimated time: 0.00 hour

Target version: 2.6.8   

Resolution: Fixed Affected version: 3.1.1

Description

Put the following pre block in a wiki page:

mkdir -m 0700 ~root/.ssh

cat << EOF >> ~root/.ssh/authorized_keys

ssh-rsa AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA

AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA

AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA

AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA

AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA

AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA

AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA

AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA= jdoe@example.com

EOF

 Export it as a PDF and notice it skipped the "AAAA... jdoe@example.com" part leaving only this:

mkdir -m 0700 ~root/.ssh

cat << EOF >> ~root/.ssh/authorized_keys

ssh-rsa

EOF

 The ssh-rsa key is a 4096 bit one so it results in a long string of 739 chars total.

Associated revisions

Revision 14813 - 2015-11-07 12:02 - Toshi MARUYAMA

update rbpdf version to 1.18.7 (#20591, #20811)

Revision 14814 - 2015-11-07 12:05 - Toshi MARUYAMA

Merged r14813 from trunk to 3.1-stable (#20591, #20811)

update rbpdf version to 1.18.7.

Revision 14815 - 2015-11-07 12:07 - Toshi MARUYAMA

Merged r14813 from trunk to 3.0-stable (#20591, #20811)

update rbpdf version to 1.18.7.

Revision 14816 - 2015-11-07 12:11 - Toshi MARUYAMA

Merged r14813 from trunk to 2.6-stable (#20591, #20811)

update rbpdf version to 1.18.7.

History

#1 - 2015-09-23 14:19 - Jun NAITOH

I have created issue.

https://github.com/naitoh/rbpdf/issues/26
#2 - 2015-11-03 08:08 - Jun NAITOH

This problem fixed by rbpdf 1.18.7.

please bundle update.

#3 - 2015-11-07 11:56 - Toshi MARUYAMA

- Target version set to 2.6.8

#4 - 2015-11-07 14:09 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Fixed

I have updated rbpdf to 1.18.7 in trunk, 3.1-stable, 3.0-stable and 2.6-stable, thanks.
